Corregir el error version of the jvm is not suitable for this product en Linux Mint

Es posible que descarguemos la versión más reciente de Eclipse y al tratar de iniciarla nos muestre el siguiente error

version x.y_z of the jvm is not suitable for this product. Version: X.Y or greater is required.

Esto ocurre porque en Linux Mint viene predeterminadamente una versión de JDK y al tratar de utilizar la versión más reciente de Eclipse, nos indique debe usarse una versión más reciente de JDK.

Para ello, nos descargamos la última versión de JDK directamente del sitio de Oracle.

http://www.oracle.com/technetwork/java/javase/downloads/index.html

Y seleccionamos Java Platform JDK

Y seleccionamos el paquete que sea para nuestro Linux, lo más probable es que sea Linux x64 con extensión tar.gz

En éste ejemplo, se descargó el archivo jdk-8u131-linux-x64.tar.gz . Para los siguientes comandos, se debe cambiar el nombre del archivo por el que descargaste.

Una vez descargado el archivo, lo descomprimimos


tar -xzvf jdk-8u131-linux-x64.tar.gz

Creamos la carpeta de java en opt


sudo mkdir -p /opt/java

Movemos la carpeta descargada a /opt/java


sudo mv jdk1.8.0_131/ /opt/java

Actualizamos update-alternatives para indicar que hay una nueva opción de java que podemos utilizar


sudo update-alternatives --install "/usr/bin/java" "java" "/opt/java/jdk1.8.0_131/bin/java" 1

Indicamos a update-alternatives que vamos a utilizar la versión de java que instalamos


sudo update-alternatives --set java /opt/java/jdk1.8.0_131/bin/java

Y comprobamos que ya está instalada y funcionando nuestra versión más reciente de java


java -version

java version “1.8.0_131”
Java(TM) SE Runtime Environment (build 1.8.0_131-b11)
Java HotSpot(TM) 64-Bit Server VM (build 25.131-b11, mixed mode)

Intentamos ejecutar de nuevo Eclipse y ya no debería haber problema.

 

Author: angelinux

Desarrollador de páginas web desde el año 2000 y con experiencia en programación de sistemas para empresas desde el 2008; cofundador de CONSoluciones; autor del blog de software libre “Angelinux-slack”; docente en maestría en UPAV y fundador de la distribución Linux Falco que está en desarrollo para la Universidad Veracruzana.
Además, ponente, organizador de congreso, laborista social, impartidor de cursos de programación y servidores Linux, webmaster, y ex invitado en programa de televisión.

Deja un comentario